<!--
  Generated template for the ProductPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar color="haldin-header" hideBackButton="true">
    <ion-buttons left>
      <button ion-button icon-only (click)="goBack()">
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-buttons>
    <ion-title>
      <h3 style="margin-right: auto; margin-left: auto;">Sample Product</h3>
    </ion-title>
  </ion-navbar>
  <ion-toolbar>
      <ion-searchbar [(ngModel)]="terms" showCancelButton="always"></ion-searchbar>
  </ion-toolbar>
</ion-header>


<ion-content>    
	<ion-list>
		<ion-item cache-view="false" class="list-product" [attr.data-selected]="produto.qtt ? true : null" class="lista" *ngFor="let produto of data_item | search : terms">
		  
		  <img src="https://apps.haldinfoods.com/public/image/products/{{produto.product_image}}" alt="" item-left class="product-thumb" width="60px" />
		  <ion-label>
			<h2 text-wrap>{{produto.product_name}}</h2>
			<p> {{produto.price | currency : "Rp." : 0}}</p>
			<p> {{produto.packaging_size}}</p>
		  </ion-label>
		  
		  <div item-end>
				<!--<button ion-button color="success" (click)="detail_product(produto.id)">
				   <ion-icon name="open"></ion-icon>
				</button>-->
				&nbsp;
				<button ion-button color="medium" (click)="addToCartSample(produto)">
				   <ion-icon name="add-circle"></ion-icon>
				</button>
		  </div>
		</ion-item>
    </ion-list>
	
	<ion-refresher (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
</ion-content>

<ion-footer>
  <ion-list no-margin>
    <ion-item no-padding color="haldin-header">
      <ion-label padding-left>
        <b><span class="font-color-blue">Keranjang</span><span class="font-color-green">Belanja  : </span></b>
        <span></span>
      </ion-label>
      <button [disabled]="!cartItemCount" item-end ion-button color="danger" (click)="openCartSample()" #cart icon-left>
        <ion-icon name="cart"></ion-icon>
        {{ cartItemCount | async }}
      </button>
    </ion-item>
  </ion-list>
</ion-footer>
